#ifndef METABIN_H
#define METABIN_H

#include "MetaSpace.h"

class MetaBin : public MetaSpace
{
    public:
        MetaBin();
        MetaBin(Uint32 seuil);
        virtual ~MetaBin();

        virtual void deform(Uint32 y, Uint32 x);
        virtual void draw();

        void setSeuil(Uint32 seuil);
        Uint32 getSeuil();

    protected:
        Uint32 m_seuil;
};

#endif // METABIN_H
